Subject: Re: Regarding select() on PPC

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 24 Sep 2008 16:28:59 +1000

On Wed, 2008-09-24 at 08:23 +0200, Arnd Bergmann wrote:
> On Tuesday 23 September 2008, Benjamin Herrenschmidt wrote:
> > 
> > > Means argument checking in ppc_select() can be removed??
> > > Than shall I post patch to [email-masked]
> > 
> > ppc_select can probably be removed alltogether and ppc32_select too
> 
> I think ppc32_select needs to stay. It never did the hack for
> supporting the old_select calling conventions, but it does the
> sign extension for the 32 bit arguments, which I think you still
> want.

Why do we want it ?

It's an int, it's zero extended, but that should still be a valid signed
32 bits int in compat_sys_select() or do I miss something ?
 
Ben.

> In any way, both the 32 bit emulation and the native ppc32 code
> path should do the same thing, which currently they don't.
> 
> 	Arnd <><